#ifndef nt2linux_h
#define nt2linux_h
#pragma interface
#ifndef MISC_H
    #include <misc.h>
#endif
#ifndef MODULE_H
    #include <module.h>
#endif

#include <modapi_def.h>
#include <modapi.h>
class MODULE_nt2linux: public LINUXCONF_MODULE{
    /*~PROTOBEG~ MODULE_nt2linux */
public:
	MODULE_nt2linux (void);
	int dohtml (const char *key);
	int domenu (MENU_CONTEXT context,
		 const char *key);
	int execmain (int argc,
		 char *argv[],
		 bool standalone);
	void setmenu (DIALOG&dia,
		 MENU_CONTEXT context);
	void usage (SSTRINGS&tb);
    /*~PROTOEND~ MODULE_nt2linux */
};

struct NT_PARMS{
	SSTRING dataroot;	// Where date will be copied in linux
};

class SUBJECT;

class SUBJECTS: public ARRAY{
	/*~PROTOBEG~ SUBJECTS */
public:
	SUBJECTS (const char *fname);
	SUBJECTS (void);
	void browse (const char *type,
		 int level,
		 SUBJECTS *groups,
		 NT_PARMS *parms);
	SUBJECT *getitem (int no)const;
	SUBJECT *locate (const char *name)const;
	/*~PROTOEND~ SUBJECTS */
};


class SUBJECT: public ARRAY_OBJ{
public:
	SSTRING name;
	SSTRING desc;
	SUBJECTS values;
	/*~PROTOBEG~ SUBJECT */
public:
	SUBJECT (const char *_name);
	/*~PROTOEND~ SUBJECT */
};


#include "nt2linux.p"

#endif
